<?php
/**
 * The sidebar containing the main widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package STMPack
 */

$stm_sidebar_layout = get_post_meta( $post->ID, 'stm_sidebar_layout', true );

if(!$stm_sidebar_layout){
	$stm_sidebar_layout = 'right_sidebar';
}

if ( $stm_sidebar_layout == "no_sidebar" || $stm_sidebar_layout == "no_sidebar_condensed" ) {
	return;
}

if( is_active_sidebar( 'stm-right-sidebar' ) &&  $stm_sidebar_layout == "right_sidebar" ){
	?>
	<div id="secondary" class="widget-area">
		<?php dynamic_sidebar( 'stm-right-sidebar' ); ?>
	</div><!-- #secondary -->
	<?php
}

if( is_active_sidebar( 'stm-left-sidebar' ) &&  $stm_sidebar_layout == "left_sidebar" ){
	?>
	<div id="secondary" class="widget-area">
		<?php dynamic_sidebar( 'stm-left-sidebar' ); ?>
	</div><!-- #secondary -->
	<?php
}